View Issue Details

IDProjectCategoryView StatusLast Update
0006840Talermechant backendpublic2021-09-02 18:23
Reportersebasjm Assigned ToChristian Grothoff  
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006840: merchant backend does not handle the auth token correctly
DescriptionI have added an integration test
https://git.taler.net/anastasis.git/tree/src/cli/test_merchant_instance_response.sh

there are two problems:

1.- when the default instance is not yet created
and the TALER_MERCHANT_TOKEN is set
and the product list is queried
and the query HAVE the authorization token
then backend respond 401 instead of 404

test at line 252

2.- when the default instance is created
and was created auth auth.method == token
and the instance is access without the Authorization header
then backend respond 200 instance of 401

test at line 280
TagsNo tags attached.

Activities

Christian Grothoff

2021-04-10 16:42

manager   ~0017731

I just moved the scripts into merchant.git, where they belong.

Christian Grothoff

2021-04-12 15:09

manager   ~0017735

9b5717e..87c18d5 fixes the bug.
87c18d5..3b7e8d4 integrates the shell-script based tests to the build system.

Christian Grothoff

2021-09-02 18:23

manager   ~0018352

Fix committed to master branch.

Related Changesets

merchant: master 87c18d54

2021-04-12 15:06:22

Christian Grothoff

Details Diff
fix 0006840 Affected Issues
0006840
mod - src/backend/taler-merchant-httpd_private-post-instances.c Diff File
add - src/testing/test_template.conf Diff File

Issue History

Date Modified Username Field Change
2021-04-09 21:01 sebasjm New Issue
2021-04-09 21:01 sebasjm Status new => assigned
2021-04-09 21:01 sebasjm Assigned To => Christian Grothoff
2021-04-10 16:42 Christian Grothoff Note Added: 0017731
2021-04-10 16:42 Christian Grothoff Target Version git (master) => 0.9
2021-04-12 15:09 Christian Grothoff Note Added: 0017735
2021-04-12 15:09 Christian Grothoff Status assigned => resolved
2021-04-12 15:09 Christian Grothoff Resolution open => fixed
2021-04-12 15:09 Christian Grothoff Fixed in Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:01 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 87c18d54
2021-09-02 18:23 Christian Grothoff Note Added: 0018352